package com.ruoyi.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.domain.TestRecords;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface TestRecordsMapper extends BaseMapper<TestRecords> {

    List<TestRecords> findByTaskId(@Param("id") String id);

    Long countResult(@Param("projectId") String projectId);

    /**
     * 通过总任务ID查询List
     * @param id
     * @return
     */
    List<TestRecords> selectListByGeneralTaskId(@Param("id") Long id);

    /**
     * 根据任务id获取用例
     * @param taskId
     * @return
     */
    List<TestRecords> selectListByTaskId(Long taskId);
}
